<?php require_once 'config.php';
/* 
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com) 

This file is part of AssetTrackDB. 

AssetTrackDB is free software: you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, or 
(at your option) any later version. 

AssetTrackDB is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License 
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>. 
*/ 

$rn = ''; 
$show = ''; 
$string = ''; 
$string_f = ''; 
$cboxstatus = 'yes'; 
$urladd = ''; 
$faction = "asset_list.php?"; 
$report = "report_asset_list_$myusername.csv"; 

echo "<html_entity_decode><head><title>AssetTrackDB - Assets</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>"; 
echo '<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0" />'; 
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">'; 
echo '<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">'; 
echo "</head><body class=\"page_bg\">"; 

//--START Menu Code and PULL PHP 
include 'includes/menu.php'; 
include 'includes/pull.php'; 
//--END Menu Code-- 


//Determine if retired 
  if(!empty($_GET["retired"])) { 
      $rstatus = $_GET["retired"]; 
      $report = "report_retired_asset_list_$myusername.csv"; 
  } 
  else { 
      $rstatus = "no"; 
  } 

//Determine if disposed 
  if(!empty($_GET["disposed"])) { 
  $dstatus = $_GET["disposed"]; 
  $report = "report_disposed_asset_list_$myusername.csv"; 
  } 
  else { 
  $dstatus = "no"; 
  } 

//DETERMINE AND SET THE TABLE 
if($rstatus=="yes"){ 
  $table = "asset_retired"; 
  $rurladd = '&retired=yes'; 
  $cboxstatus = "no"; 
} 
 elseif($dstatus=="yes"){ 
  $table = "disposed"; 
  $rurladd = '&disposed=yes'; 
  $cboxstatus = "no"; 
} 
 else { 
  $table = "asset"; 
  $rurladd = ''; 
} 


$result = mysqli_query($_SESSION["link"], "SELECT sadmin FROM members WHERE username='$myusername'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
while($row = mysqli_fetch_array( $result )) { 

        $adminstat = $row['sadmin']; 
} 


//Get Strict statement for searches 
  if(!empty($_GET["strict"])) { 
  $strict = $_GET["strict"]; 
  } 
  else{ 
  $strict="no"; 
  } 


$fh = fopen($report, 'w') or die("can't open file"); 

$myusername = $_SESSION["myusername"]; 
$member_id = mysqli_query($_SESSION["link"], "SELECT id FROM members WHERE username='$myusername'"); 
$member = mysqli_fetch_array( $member_id ); 
$member_prefs = mysqli_query($_SESSION["link"], "SELECT * FROM member_prefs WHERE id='$member[0]'"); 
$rowmp = mysqli_fetch_array( $member_prefs ); 

$now = time(); 
$age = null; 
$searchtype = '*'; 
$searchvar = '*'; 

//INIT RPP (Results Per Page) 
$result7 = mysqli_query($_SESSION["link"], "SELECT rpp FROM member_prefs WHERE id=$member[0]") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
$row7 = mysqli_fetch_array( $result7 ); 
$rpp = $row7['rpp'] ; 

//INIT tsize (table font size) 
$result7 = mysqli_query($_SESSION["link"], "SELECT tsize FROM member_prefs WHERE id=$memberid") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
$row7 = mysqli_fetch_array( $result7 ); 
$tsize = $row7['tsize'] ; 


if(!empty($_GET["rppu"])) { 
  $rppu = $_GET["rppu"]; 
  $query = mysqli_query($_SESSION["link"], "UPDATE member_prefs SET rpp='$rppu' WHERE id=$member[0]") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
  $rpp = $rppu; 
  } 




if($rpp == 'All'){ 
        $rpp = '100000000'; 
        } 

//END THE MADNESS 

if(!empty($_GET["size"])) { 
  $size = $_GET["size"]; 

  if ($size == 'add'){ 
     $tsize = $tsize + 5; 
     $q = "UPDATE member_prefs SET tsize='$tsize' WHERE id=$member[0]"; 
     $query = mysqli_query($_SESSION["link"], $q) or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
  } 

  if ($size == 'sub'){ 
     $tsize = $tsize - 5; 
     $q = "UPDATE member_prefs SET tsize='$tsize' WHERE id=$member[0]"; 
     $query = mysqli_query($_SESSION["link"], $q) or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
  } 
} 


echo '<script language="JavaScript">'; 
echo "function toggle(source) { checkboxes = document.getElementsByName('select[]');"; 
  echo 'for(var i=0, n=checkboxes.length;i<n;i++) {'; 
    echo 'checkboxes[i].checked = source.checked;'; 
  echo '}'; 
echo '}'; 
echo '</script>'; 

//INIT tsize (table font size) 
$result7 = mysqli_query($_SESSION["link"], "SELECT tsize FROM member_prefs WHERE id=$memberid") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
$row7 = mysqli_fetch_array( $result7 ); 
$tsize = $row7['tsize'] ; 


//CHECK FOR MULTISEARCH 
if(!empty($_GET["multisearch"])) { 
        $multisearch = $_GET["multisearch"];      //URL BASED METHOD 
       } 
       else 
       {$multisearch = 'no';} 

if($multisearch == 'yes'){ 
  //Get MultiSearch Number 
  $msn = $_GET['msn']; 
  if ($msn == '2') { 
    $t1 = "asset." . $_GET['t1']; 
    $t2 = "asset." . $_GET['t2']; 

    $t1a = $_GET['t1']; 
    $t2a = $_GET['t2']; 

    $s1 = $_GET['s1']; 
    $s2 = $_GET['s2']; 
    $con1 = $_GET['con1']; 
    $query = "AND $t1 LIKE '%$s1%' $con1 $t2 LIKE '%$s2%'"; 
    $queryf = "AND $t1 LIKE $s1<br> $con1 $t2 LIKE $s2"; 

    $searchtype = 'multisearch=yes&msn='.$msn.'&t1='; 
    //Line below is for DISPLAY at the bottom of the page 
    $searchvar = $t1a.'&s1='.$s1.'&t2='.$t2a.'&s2='.$s2.'&con1='.$con1; 
    //echo $searchvar; 
    //echo "<br>"; 
  } 
  elseif($msn == '3'){ 
    $t1 = "asset." . $_GET['t1']; 
    $t2 = "asset." . $_GET['t2']; 
    $t3 = "asset." . $_GET['t3']; 
    $s1 = $_GET['s1']; 
    $s2 = $_GET['s2']; 
    $s3 = $_GET['s3']; 
    $con1 = $_GET['con1']; 
    $con2 = $_GET['con2']; 
    $query = "AND $t1 LIKE '%$s1%' $con1 ( $t2 LIKE '%$s2%' $con2 $t3 LIKE '%$s3%')"; 
    //Line below is for DISPLAY at the bottom of the page 
    $queryf = $query; 


    $searchtype = 'multisearch=yes&msn='.$msn.'&t1'; 
    $searchvar = $t1.'&s1='.$s1.'&t2='.$t2.'&s2='.$s2.'&t3='.$t3.'&s3='.$s3.'&con1='.$con1.'&con2='.$con2; 

    } 
    elseif($msn == '4'){ 
    $t1 = "asset." . $_GET['t1']; 
    $t2 = "asset." . $_GET['t2']; 
    $t3 = "asset." . $_GET['t3']; 
    $t4 = "asset." . $_GET['t4']; 
    $s1 = $_GET['s1']; 
    $s2 = $_GET['s2']; 
    $s3 = $_GET['s3']; 
    $s4 = $_GET['s4']; 
    $con1 = $_GET['con1']; 
    $con2 = $_GET['con2']; 
    $con3 = $_GET['con3']; 
    $query = "AND  $t1 LIKE '%$s1%' $con1 ($t2 LIKE '%$s2%' $con2 $t3 LIKE '%$s3%' $con3 $t4 LIKE '%$s4%')"; 
    //Line below is for DISPLAY at the bottom of the page 
    $queryf = $query; 

    //FIX BELOW HERE 
    $searchtype = 'multisearch=yes&msn='.$msn.'&t1'; 
    $searchvar = $t1.'&s1='.$s1.'&t2='.$t2.'&s2='.$s2.'&t3='.$t3.'&s3='.$s3.'&con1='.$con1.'&con2='.$con2; 
    } 




} 
else 
{ 
      if(!empty($_GET["bar_code"])) { 
        $bar_code = $_GET["bar_code"];      //URL BASED METHOD 
        $query = "AND bar_code=$bar_code"; 
       } elseif(!empty($_GET["search"])) { 
         $search = $_GET["search"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
         $query = "AND name='$search'"; 
         } 
         else{ 
         $query = "AND name LIKE '%$search%'"; 
         } 
         $searchvar = $_GET["search"]; 
         $searchtype = 'search'; 
         $show = $show . "<b>Name:</b> " .$name; 
       } elseif(!empty($_GET["owner"])) { 
         $owner = $_GET["owner"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
             $query = "AND owner='$owner'"; 
         } 
         else{ 
         $query = "AND owner LIKE '$owner'"; 
         } 

         $searchvar = $_GET["owner"]; 
         $searchtype = 'owner'; 
         $show = $show . "<b>Owner:</b> " .$owner; 
       } elseif(!empty($_GET["form"])) { 
         $form = $_GET["form"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
             $query = "AND form='$form'"; 
         } 
         else{ 
         $query = "AND form LIKE '%$form%'"; 
         } 
         $searchvar = $_GET["form"]; 
         $searchtype = 'form'; 
         $show = $show. "<b>Form:</b> " .$form; 
         } elseif(!empty($_GET["phyloc"])) { 
         $phyloc = $_GET["phyloc"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
             $query = "AND phyloc='$phyloc'"; 
         } 
         else{ 
         $query = "AND phyloc = '$phyloc'"; 
         } 
         $searchvar = $_GET["phyloc"]; 
         $searchtype = 'phyloc'; 
         $show = $show . "<b>Physical Location:</b> " .$phyloc; 
        } elseif(!empty($_GET["use"])) { 
         $use = $_GET["use"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
         $query = "AND use1='$use'"; 
         } 
         else{ 
         $query = "AND use1 LIKE '%$use%'"; 
         } 
         $show = $show . "<b>Use:</b> " .$use; 
        } elseif(!empty($_GET["location"])) { 
         $location = $_GET["location"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
         $query = "AND location='$location'"; 
         } 
         else{ 
         $query = "AND location LIKE '%$location%'"; 
         } 
         $searchvar = $_GET["location"]; 
         $searchtype = 'location'; 
         $show = $show . "<b>Location:</b> " .$location; 
    } elseif(!empty($_GET["os"])) { 
         $os = $_GET["os"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
         $query = "AND $table.os='$os'"; 
         } 
         else{ 
         $query = "AND $table.os LIKE '%$os%'"; 
         } 
         $searchvar = $_GET["os"]; 
         $searchtype = 'os'; 
         $show = $show . "<b>Operating System:</b> " .$os; 
        } elseif(!empty($_GET["pdate"])) { 
         $pdate = $_GET["pdate"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
         $query = "AND $table.pdate='$pdate'"; 
         } 
         else{ 
         $query = "AND $table.pdate LIKE '%$pdate%'"; 
         } 
         $searchvar = $_GET["pdate"]; 
         $searchtype = 'pdate'; 
         $show = $show . "<b>Purchase Date:</b> " .$pdate; 
        } elseif(!empty($_GET["model"])) { 
         $model = $_GET["model"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
         $query = "AND $table.model='$model'"; 
         } 
         else{ 
         $query = "AND $table.model LIKE '%$model%'"; 
         } 
         $searchvar = $_GET["model"]; 
         $searchtype = 'model'; 
         $show = $show . "<b>Model:</b> " .$model; 
        } elseif(!empty($_GET["name"])) { 
         $name = $_GET["name"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
         $query = "AND $table.name='$name'"; 
         } 
         else{ 
         $query = "AND $table.name LIKE '%$name%'"; 
         } 
         $searchvar = $_GET["name"]; 
         $searchtype = 'name'; 
        } elseif(!empty($_GET["brand"])) { 
         $brand = $_GET["brand"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
         $query = "AND $table.brand='$brand'"; 
         } 
         else{ 
         $query = "AND $table.brand LIKE '%$brand%'"; 
         } 
         $searchvar = $_GET["brand"]; 
         $searchtype = 'brand'; 
         $show = $show . "<b>Brand:</b> " .$brand; 
        } elseif(!empty($_GET["co_status"])) { 
         $co_status = $_GET["co_status"]; 
         $query = "AND co_status='$co_status'"; 
         $searchvar = $_GET["co_status"]; 
         $searchtype = 'co_status'; 
         if ($co_status == '1'){ 
          $show = $show . "<b>CO Status:</b> " .'Yes'; 
         } 
         else 
         { 
         $show = $show . "<b>CO Status:</b> " .'No'; 
         } 

        } elseif(!empty($_GET["cb"])) { 
         $cb = $_GET["cb"]; 
         $query = "AND createdby='$cb'"; 
         $searchvar = $_GET["cb"]; 
         $searchtype = 'created'; 
         $show = $show . "<b>Created By:</b> " .$cb; 
        } elseif(!empty($_GET["vend"])) { 
         $vend = $_GET["vend"]; 
         if ($strict == 'yes'){$show = $show . "<b>Strict</b><br>"; 
         $query = "AND $table.vendor='$vend'"; 
         } 
         else{ 
         $query = "AND $table.vendor LIKE '%$vend%'"; 
         } 
         $searchvar = $_GET["vend"]; 
         $searchtype = 'vend'; 
         $show = $show . "<b>Vendor:</b> " .$vend; 
        } elseif(!empty($_GET["fund"])) { 
         $fund = $_GET["fund"]; 
         $query = "AND $table.funding='$fund'"; 
         $searchvar = $_GET["fund"]; 
         $searchtype = 'funding'; 
         $show = $show . "<b>Funding:</b> " .$fund; 
        } elseif(!empty($_GET["cost"])) { 
         $cost = $_GET["cost"]; 
         $query = "AND $table.cost='$cost'"; 
         $searchvar = $_GET["cost"]; 
         $searchtype = 'cost'; 
         $show = $show . "<b>Cost:</b> " .$cost; 
         } elseif(!empty($_GET["custom1"])) { 
         $custom1 = $_GET["custom1"]; 
         $query = "AND $table.custom1='$custom1'"; 
         $searchvar = $_GET["custom1"]; 
         $searchtype = 'custom1'; 
         $show = $show . "<b>Custom 1:</b> " .$custom1; 
        } elseif(!empty($_GET["custom2"])) { 
         $custom2 = $_GET["custom2"]; 
         $query = "AND $table.custom2='$custom2'"; 
         $searchvar = $_GET["custom2"]; 
         $searchtype = 'custom2'; 
         $show = $show . "<b>Custom 2:</b> " .$custom2; 


//CO USER and CO BLDG below 
    } elseif(!empty($_GET["co_user"])) { 
     $co_status = "1"; 
         $co_user = $_GET["co_user"]; 
         $searchvar = $_GET["co_user"]; 
         $searchtype = 'co_user'; 
         $qco = "SELECT * FROM tracker WHERE user=$co_user AND co_complete='0'"; 
         $result22 = mysqli_query($_SESSION["link"], $qco) or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 

    //Line below is to start the query 
    //$query = "AND asset.serial='123XXX111XXX'"; //this line is a dummy to start the query 
    //loop below completes the query into one big line of if serial = or serial = or serial = ..... then continue and the query is run below 

    $query = 'AND ('; 
        $query .= "asset.serial='DFSDFSD21343123'"; 

        while($row = mysqli_fetch_array( $result22 )) { 

        $query .= " OR asset.serial='"; 
        $query .= $row['serial']; 
        $query .= "'"; 

        $show = $show . "<b>CO User:</b> " .$co_user; 

         } 
         $query .= ")"; 




        } elseif(!empty($_GET["bldg"])) { 
            $co_status = "1"; 
         $bldg = $_GET["bldg"]; 
         //$query = "WHERE co_status='$co_status'"; 
         $searchvar = $_GET["bldg"]; 
         $searchtype = 'bldg'; 
         $result22 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE building=$bldg AND co_complete='0'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 


     // $row = mysql_fetch_array( $result22 ); 

    $query = "AND ($table.serial='123'";
    while($row = mysqli_fetch_array( $result22 )) {
    $query .= " OR $table.serial='"; 
    $query .= $row['serial']; 
    $query .= "'"; 



     }
     $show = $show . "<b>CO Building:</b> " .$bldg; 
     $query .= ")";

     } 
         elseif(!empty($_GET["loc"])) { 
         $gloc = $_GET["loc"]; 
         $query = "AND location='"; 
         $query .= $gloc; 
         $query .= "'"; 

    $show = $show . "<b>CO Room:</b> " .$gloc; 
    } elseif(!empty($_GET["updateby"])) { 
         $updateby = $_GET["updateby"]; 
         $query = "AND updateby='$updateby'"; 
         $searchvar = $_GET["updateby"]; 
         $searchtype = 'updateby'; 
         $show = $show . "<b>Updated By:</b> " .$updateby; 




//IF None of the conditions for earches above work then just get everything from asset, images and tracker tables 
        } elseif(!empty($_GET["string"])){ 
          $string = $_GET["string"]; 
          $string = ltrim($string, '0'); 
          $string_f = $_GET["string"]; 
          $string_f = ltrim($string_f, '0'); 
          $urladd = "&string=$string"; 
          //Set Search Type and variable for Results per page change 
          //$searchtype = "string="; 
          //$searchvar = $string; 

                    $query = "AND (bar_code LIKE '%$string%' 
                           OR $table.name LIKE '%$string%' 
                           OR $table.creation_date LIKE '%$string%' 
                           OR $table.serial LIKE '%$string%' 
                           OR $table.model LIKE '%$string%' 
                           OR $table.brand LIKE '%$string%' 
                           OR $table.owner LIKE '%$string%' 
                           OR $table.form LIKE '%$string%' 
                           OR $table.use1 LIKE '%$string%' 
                           OR $table.notes LIKE '%$string%' 
                           OR $table.os LIKE '%$string%' 
                           OR $table.pdate LIKE '%$string%' 
                           OR $table.cost LIKE '%$string%' 
                           OR $table.funding LIKE '%$string%' 
                           OR $table.vendor LIKE '%$string%' 
                           OR $table.createdby LIKE '%$string%' 
                           OR $table.produkey LIKE '%$string%' 
                           OR $table.updateby LIKE '%$string%' 
                           OR $table.custom1 LIKE '%$string%' 
                           OR $table.custom2 LIKE '%$string%' 
                           OR building.name LIKE '%$string%' 
                        OR track.user LIKE '%$string%' 
                           OR track.location LIKE '%$string%') 
                           "; 
                           // 


                       //echo $query; 
                       //echo "<br><br>"; 


                       } 

        else { 
                $query = null; 
           } 



if ($query == ""){ 
} 
else{ 
//This was code to attempt the building search 
$qbuild = "SELECT * from building WHERE name LIKE '%$string%'"; 
$resultqb = mysqli_query($_SESSION["link"], $qbuild) or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 

$rn = ''; 
while($rowrb = mysqli_fetch_array( $resultqb )) { 
 $rn .= " building='"; 
 $rn .= $rowrb['number']; 
 $rn .= "' OR"; 
 //$rn .= ','; 

} 
} 

//Build query here 

      } 
     //Query to get pages and count 
     if ($query == ""){ 
       $q2 = "SELECT * FROM $table $query"; 
     } 
     else { 
     //NEW QUERY 
     //$q2 = "SELECT SQL_NO_CACHE $table.*, tracker.location,tracker.user, tracker.co_complete, building.name AS bname FROM $table LEFT JOIN `tracker` on $table.serial = tracker.serial LEFT JOIN `building` on tracker.building = building.number WHERE $table.serial <> -1111111 AND (tracker.co_complete = 0 OR tracker.co_complete = NULL) $query"; 


     $q2 = "SELECT $table.*, track.location,track.user, track.co_complete, building.name AS bname FROM $table 
             LEFT JOIN (SELECT * FROM `tracker` WHERE co_complete=0 AND ($rn user LIKE '%$string%' OR location LIKE '%$string%') ) as track on asset.serial = track.serial 
             LEFT JOIN `building` on track.building = building.number 
             WHERE $table.serial <> -1111111 $query 
             "; 


         } 
         //Uncomment to display query 
         //echo $query; 
         //echo "<br><br>"; 
         //echo $q2; 
         //echo "<br><br>"; 




     $result = mysqli_query($_SESSION["link"], $q2) or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
     $total_records = mysqli_num_rows($result); 
     $total_pages = ceil($total_records / $rpp); 



//Deal with multiple pages 
if (isset($_GET["page"])) { $page  = $_GET["page"]; } else { $page=1; }; 
$start_from = ($page-1) * $rpp; 




     //Real Query 
     if ($query == ""){ 
     $q1 = "SELECT * FROM $table $query  ORDER BY name ASC LIMIT $start_from, $rpp"; 
     } 
     else { 
     //NEW QUERY 
     //$q1 = "SELECT SQL_NO_CACHE $table.*, tracker.location,tracker.user, tracker.co_complete, building.name AS bname FROM $table LEFT JOIN `tracker` on $table.serial = tracker.serial LEFT JOIN `building` on tracker.building = building.number WHERE $table.serial <> -1111111 AND (tracker.co_complete = 0 OR tracker.co_complete = NULL) $query ORDER BY $table.name ASC LIMIT $start_from, $rpp";
     $q1 = "SELECT $table.*, track.location,track.user, track.co_complete, building.name AS bname FROM $table 
             LEFT JOIN (SELECT * FROM `tracker` WHERE co_complete=0 AND ($rn user LIKE '%$string%' OR location LIKE '%$string%') ) as track on asset.serial = track.serial 
             LEFT JOIN `building` on track.building = building.number 
             WHERE $table.serial <> -1111111 $query ORDER BY name ASC LIMIT $start_from, $rpp 
             "; 
     } 

//date searches 
  if(!empty($_GET["datesearch"])) { 
  $datesearch = $_GET["datesearch"]; 
  $searchtype = 'datesearch'; 
  $searchvar = $datesearch; 
  $urladd = "&datesearch=$datesearch"; 
  $qds = "SELECT * from dates WHERE number='$datesearch'"; 
  $resultds = mysqli_query($_SESSION["link"], $qds) or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
  while($row = mysqli_fetch_array( $resultds )) { 

        $sdate = $row['sdate']; 
        $edate = $row['edate']; 
} 

  $q1 = "SELECT * from $table WHERE pdate between '$sdate' and '$edate' ORDER BY pdate ASC LIMIT $start_from, $rpp"; 
  $q2 = "SELECT * from $table WHERE pdate between '$sdate' and '$edate'"; 
   
  $result = mysqli_query($_SESSION["link"], $q2) or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
  $total_records = mysqli_num_rows($result); 
  $total_pages = ceil($total_records / $rpp); 
  echo "<br>"; 
  $string = ""; 
  $string_f = "</center><b>Purchase Date Range:</b> $sdate to $edate"; 
  } 
   
//Get phyloc_c for quick search of physical location 
  if(!empty($_GET["phyloc_c"])) { 
  $phyloc_c = $_GET["phyloc_c"]; 

  $result22 = mysqli_query($_SESSION["link"], "SELECT * from building WHERE name LIKE '%$phyloc_c%'"); 
     
    $query = ''; 
    $cnt = '0'; 
    $names = ''; 

  while($row = mysqli_fetch_array( $result22 )) { 
              $number = $row['number']; 
              if($cnt == '0'){ 
                   $query = $query. "(phyloc = '$number' "; 
                   $cnt++; 
                   $names = $names . $row['name']; 
              } 
              else{ 
                  $query = $query. "OR phyloc = '$number' "; 
                  $names = $names . ", " . $row['name']; 
              } 

             } 
             $query = $query . ")"; 
             $searchvar = $_GET["phyloc_c"]; 
             $searchtype = 'phyloc_c'; 


             $q1 = "SELECT * from $table WHERE $query ORDER BY pdate ASC LIMIT $start_from, $rpp"; 
             $q2 = "SELECT * from $table WHERE $query"; 

             $result = mysqli_query($_SESSION["link"], $q2) or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
             $total_records = mysqli_num_rows($result); 
             $total_pages = ceil($total_records / $rpp); 
             $string = ""; 
             $string_f = "</center><b>Physical Locations:</b> $names"; 
  } 
//END phyloc_c for quick search of physical location 


$result = mysqli_query($_SESSION["link"], $q1) or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
$result1 = mysqli_query($_SESSION["link"], "SELECT * FROM images") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
$result2 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
                 

//Page Calcualtions START 
//Calculate Previous Page Number 
if ($page==1){ 
  $pageprev='1'; 
} 
else 
{ 
  $pageprev = $page - 1; 
} 
//Calculate Next Page Number 
if ($page < $total_pages) { 
   $pagenext = $page + 1; 
} 
else{ 
$pagenext = $page; 
} 
//Page Calcualtions END 

//Uncomment for Query Display 
//echo "<br><b>Query1:<br></b>"; 
//echo $q1; 
//echo "<br>"; 
//Uncomment for Query Display 
//echo "<br><b>Query2:<br></b>"; 
//echo $q2; 
//echo "<br><br>"; 

//Start Table for TPP and Text Size 
echo '<table border=0><tr><td>'; 

//Start Table for RPP 
echo '<table border=0><tr><td valign=top>Results Per Page:</td><td><form action='; echo $faction; echo' method="GET"><select name="rppu" onchange="this.form.submit();">'; 
echo "<option "; if ($rpp == '10') echo 'selected '; echo "value='10'>10</option>"; 
echo "<option "; if ($rpp == '25') echo 'selected '; echo "value='25'>25</option>"; 
echo "<option "; if ($rpp == '50') echo 'selected '; echo "value='50'>50</option>"; 
echo "<option "; if ($rpp == '100') echo 'selected '; echo "value='100'>100</option>"; 
echo "<option "; if ($rpp == '150') echo 'selected '; echo "value='150'>150</option>"; 
echo "<option "; if ($rpp == '200') echo 'selected '; echo "value='200'>200</option>"; 
echo "<option "; if ($rpp == '250') echo 'selected '; echo "value='250'>250</option>"; 
echo "<option "; if ($rpp == '300') echo 'selected '; echo "value='300'>300</option>"; 
echo "<option "; if ($rpp == '350') echo 'selected '; echo "value='350'>350</option>"; 
echo "<option "; if ($rpp == '400') echo 'selected '; echo "value='400'>400</option>"; 
echo "<option "; if ($rpp == '450') echo 'selected '; echo "value='450'>450</option>"; 
echo "<option "; if ($rpp == '500') echo 'selected '; echo "value='500'>500</option>"; 
echo "<option "; if ($rpp == '1000') echo 'selected '; echo "value='1000'>1000</option>"; 
echo "<option "; if ($rpp == '100000000') echo 'selected '; echo "value='All'>All</option>"; 
echo "</select>"; 
//Needed to pass search variables 

echo '<input type="hidden" name="'; echo "$searchtype"; echo '" value="'; echo $searchvar; echo '">'; 
echo '<input type="hidden" name="string" value="'; echo $string; echo '">'; 

//Add hidden imput for retired to keep on retired when rpp change 
if($rstatus == 'yes'){ 
            echo '<input type="hidden" name="'; echo 'retired'; echo '" value="'; echo 'yes'; echo '">'; 
} 
//Add hidden imput for disposed to keep on disposed when rpp change 
if($dstatus == 'yes'){ 
            echo '<input type="hidden" name="'; echo 'disposed'; echo '" value="'; echo 'yes'; echo '">'; 
} 
echo "</form></td></tr></table>"; //End Table for RPP 

echo "</td><td valign=top>"; 

//$urladd = '&showall=' . $show . '&name=' . $name . '&nameu=' . $uname . '&action=' . $action .$specialadd; 
//$rurladd = ''; 

//DETERMINE THE URLADD TO APPEND TO LINKS SO SEARCHES PASS BETWEEN PAGES 
if(!empty($searchvar)) { 

  if ($multisearch == 'yes'){ 
     //Works MLS 
     $urladd .= "&$searchtype$searchvar"; 
  } 
  else 
  { 
    //WORKS Quick Search 
    $urladd .= "&$searchtype=$searchvar"; 
  } 

//$urladd .= "&string=$string"; 
  } 
  else { 
  $urladd .=''; 
  } 

//Start Table for Text Size
echo '<table border=0><td valign=top>Text Size:</td>'; 
       echo '<td>'; 
       echo '<a href="asset_list.php?size=add' . $urladd . $rurladd . '&page=' . $page . '"><b>+</b></a>'; 
       echo '</td>'; 
       echo '<td>'; 
       echo '<a href="asset_list.php?size=sub' . $urladd . $rurladd . '&page=' . $page . '"><b>-</b></a>'; 
       echo '</td>'; 
echo '</table>'; //End table for Text Size 


if ($dstatus == 'yes'){ 
  echo "</td></tr><td>"; 
  echo "<span id=dcs class='special'>Disposed Assets</span>"; 
} 
elseif ($rstatus == 'yes'){ 
  echo "</td></tr><td>"; 
  echo "<span id=dcs class='special'>Retired Assets</span>";
} 

echo "</td></tr></table>"; //END Table for RPP and Text Size 


echo "<center>"; 

//Show Search String 
if(!empty($_GET["string"])){ 
      $string = $_GET["string"]; 
    echo '</center><b>Search Results for: </b>'; 
} 
elseif($show !=""){ 
  //Remove "" if it is there 
  $show = str_replace('"', '',$show); 
echo "</center>".$show."<center>"; 
} 


echo "<i>"; 
echo $string_f; 
echo '</i>'; 
echo "<center>"; 

//Page links   START 
$pgcount = '1'; 
echo "<table cellpadding=5 border=0><tr><td>Page:</td><td><a href='asset_list.php?page=";echo $pageprev; echo $urladd; echo $rurladd; echo "'>Prev</a></td>"; 
while($pgcount <= $total_pages){ 
  echo "<td>"; 
  if ($page == $pgcount){ 
       echo "<a href='asset_list.php?page=";echo $pgcount; echo $urladd; echo $rurladd; echo " '><b>"; echo $pgcount; echo "</a>"; 
  } 
  else 
  { 
  echo "<a href='asset_list.php?page=";echo $pgcount; echo $urladd; echo $rurladd; echo " '>"; echo $pgcount; echo "</a>"; 
  } 
  echo "</td>"; 
  $pgcount++; 
} 
echo "<td><a href='asset_list.php?page=";echo $pagenext; echo $urladd; echo $rurladd; echo "'>Next</a></td></tr></table>"; 
//Page links   END 

// CODE BELOW THIS IS NOT NEEDED, BUT AT THE MOMENT ITS EASIER TO CONVERT HERE THEN FIX all the if statements below, will fix later... 
$cbar_code = $rowmp['bar_code']; 
$cname = $rowmp['name']; 
$cserial = $rowmp['serial']; 
$cage = $rowmp['age']; 
$cmodel = $rowmp['model']; 
$cbrand = $rowmp['brand']; 
$cowner = $rowmp['owner']; 
$cform = $rowmp['form']; 
$cuse = $rowmp['use1']; 
$clocation = $rowmp['co_location']; 
$cbuilding = $rowmp['co_building']; 
$cpdate = $rowmp['pdate']; 
$cimages = $rowmp['images']; 
$cos = $rowmp['os']; 
$ccostatus = $rowmp['co_status']; 
$cco_user = $rowmp['co_user']; 
$cprodukey = $rowmp['produkey']; 
$cnotes = $rowmp['notes']; 
$ccreatedby = $rowmp['createdby']; 
$ccreation_date = $rowmp['creation_date']; 
$cvendor = $rowmp['vendor']; 
$cfunding = $rowmp['funding']; 
$ccost = $rowmp['cost']; 
$ccustom1 = $rowmp['custom1']; 
$ccustom2 = $rowmp['custom2']; 
$cphyloc = $rowmp['phyloc']; 
$cupdatetime = $rowmp['updatetime']; 
$cupdateby = $rowmp['updateby']; 


//Turn off a bunch of columns that are not needed for the disposed list (TEMPORARY) 
if ($dstatus == 'yes'){ 
$cbar_code = '1'; 
$cname = '1'; 
$cserial = '1'; 
$cage = '1'; 
$cmodel = '1'; 
$cbrand = '1'; 
$cowner = '0'; 
$cform = '1';; 
$cuse = '0'; 
$clocation = '0'; 
$cbuilding = '0'; 
$cpdate = '1'; 
$cimages = '1'; 
$cos = '0'; 
$ccostatus = '0'; 
$cco_user = '0'; 
$cprodukey = '0'; 
$cnotes = '1'; 
$ccreatedby = '0'; 
$ccreation_date = '0'; 
$cvendor = '0'; 
$cfunding = '0'; 
$ccost = '0'; 
$ccustom1 = '1'; 
$ccustom2 = '1'; 
$cphyloc = '0'; 
$cupdatetime = '0'; 
$cupdateby = '0'; 
} 


if ($tsize == '0'){ 
           $tsize = '80' . '%'; 
} 
else 
{ 
  $tsize = $tsize . '%'; 

  } 


//Start Table for asset view ------------------------------------------------------------------------------------------------------------------------ 
//Table Sort info: http://www.kryogenix.org/code/browser/sorttable/ 
echo "<form method='post' action='bulk.php' enctype='multipart/form-data' name='form2'>"; 
echo "<table  class='sortable al' style='font-size: $tsize'>"; 
//Column Headers 
echo "<tr>"; 

if($rostate==1) 
    { 
    } 
else { 
    if($cboxstatus == 'yes'){ 
    echo '<th class="sorttable_nosort" ><input type="checkbox" onClick="toggle(this)" /></th></th>'; 
    } 
} 

if ($cbar_code == '1') { 
echo "<th>Bar Code</th>"; 
$stringData = 'Bar Code'.","; 
fwrite($fh, $stringData); 
 } 
if ($cname == '1') { 
echo "<th>Name</th>"; 
$stringData = 'Name'.","; 
fwrite($fh, $stringData); 
} 
if ($cserial == '1') { 
echo "<th>Serial</th>"; 
$stringData = 'Serial'.","; 
fwrite($fh, $stringData); 
} 
if ($cage == '1') { 
echo "<th>Age</ht>"; 
$stringData = 'Age'.","; 
fwrite($fh, $stringData); 
} 
if ($cmodel == '1') { 
echo "<th>Model</ht>"; 
$stringData = 'Model'.","; 
fwrite($fh, $stringData); 
} 
if ($cbrand == '1') { 
echo "<th>Brand</th>"; 
$stringData = 'Brand'.","; 
fwrite($fh, $stringData); 
} 
if ($cowner == '1') { 
echo "<th>Owner</th>"; 
$stringData = 'Owner'.","; 
fwrite($fh, $stringData); 
} 
if ($cform == '1') { 
echo "<th>Form</th>"; 
$stringData = 'Form'.","; 
fwrite($fh, $stringData); 
} 
if ($cuse == '1') { 
echo "<th>Use</th>"; 
$stringData = 'Use'.","; 
fwrite($fh, $stringData); 
} 
if ($ccostatus == '1') { 
echo "<th>CO Status</th>"; 
$stringData = 'CO Status'.","; 
fwrite($fh, $stringData); 
} 
if ($cco_user == '1') { 
echo "<th>CO User</th>"; 
$stringData = 'CO User'.","; 
fwrite($fh, $stringData); 
} 

if ($cbuilding == '1') { 
echo "<th>CO BLDG</th>"; 
$stringData = 'CO Bldg'.","; 
fwrite($fh, $stringData); 
} 
if ($clocation == '1') { 
echo "<th>CO Room</th>"; 
$stringData = 'CO Room'.","; 
fwrite($fh, $stringData); 
} 
if ($cpdate == '1') { 
echo "<th>Purchased</th>"; 
$stringData = 'Purchased'.","; 
fwrite($fh, $stringData); 
} 
if ($cimages == '1') { 
echo "<th>Images</th>"; 
} 
if ($cos == '1') { 
echo "<th>OS</th>"; 
$stringData = 'OS'.","; 
fwrite($fh, $stringData); 
} 
if ($cprodukey == '1') { 
echo "<th>Product Key</th>"; 
$stringData = 'Product Key'.","; 
fwrite($fh, $stringData); 
} 
if ($cnotes == '1') { 
echo "<th>Notes</th>"; 
$stringData = 'Notes'.","; 
fwrite($fh, $stringData); 
} 
if ($ccreatedby == '1') { 
echo "<th>Created By</th>"; 
$stringData = 'Created By'.","; 
fwrite($fh, $stringData); 
} 
if ($ccreation_date == '1') { 
echo "<th>Created</th>"; 
$stringData = 'Created'.","; 
fwrite($fh, $stringData); 
} 
if ($cvendor == '1') { 
echo "<th>Vendor</th>"; 
$stringData = 'Vendor'.","; 
fwrite($fh, $stringData); 
} 
if ($cfunding == '1') { 
echo "<th>Funding</th>"; 
$stringData = 'Funding'.","; 
fwrite($fh, $stringData); 
} 
if ($ccost == '1') { 
echo "<th>Cost</th>"; 
$stringData = 'Cost'.","; 
fwrite($fh, $stringData); 
} 
if ($ccustom1 == '1') { 
echo "<th>Custom1</th>"; 
$stringData = 'Custom1'.","; 
fwrite($fh, $stringData); 
} 
if ($ccustom2 == '1') { 
echo "<th>Custom2</th>"; 
$stringData = 'Custom2'.","; 
fwrite($fh, $stringData); 
} 
if ($cphyloc == '1') { 
echo "<th>Physical Location</th>"; 
$stringData = 'Physical Location'.","; 
fwrite($fh, $stringData); 
} 
if ($cupdatetime == '1') { 
echo "<th>Update Time</th>"; 
$stringData = 'Update Time'.","; 
fwrite($fh, $stringData); 
} 
if ($cupdateby == '1') { 
echo "<th>Updated By</th>"; 
$stringData = 'Updated By'.","; 
fwrite($fh, $stringData); 
} 
if($dstatus == 'yes'){ 
echo '<th>Dispose Date</th>'; 
$stringData = 'Dispose Date'.","; 
fwrite($fh, $stringData); 
} 
if($dstatus == 'yes'){ 
echo '<th>Dispose Reason</th>'; 
$stringData = 'Dispose Reason'.","; 
fwrite($fh, $stringData); 
} 

echo "</tr>"; 

//add return character 
$stringData = "\n"; 
fwrite($fh, $stringData); 

// INIT ROW COUNT VARIABLE TO COUNT THE NUMBER OF ROWS IN THE WHILE STATEMENT BELOW to we have the row total to print at the bottom of the page 
$rowcount = '0'; 

//START ASSET TABLE 
while($row = mysqli_fetch_array( $result )) { 
         $rowcount++; //Add one to rowcount (each time through) 
        if($rowcount&1){ 
        echo "<tr>"; 
        } 
        else { 
        echo "<tr style='background-color: rgb(197,207,247);'>"; 
        //OLD Color: rgb(220, 220, 220) 
        } 
        if($rostate==1) 
            { 
            } 
        else { 
        if($cboxstatus == "yes"){ 
        echo "<td class='assetlist'>"; 
        echo "<input type='checkbox' name='select[]' value='"; 
        echo $row['serial']; 
        echo "'></td>"; 
        } 
        } 

        if ($cbar_code == '1') { 
        echo "<td class='assetlist'><a href='display.php?bar_code="; echo $row['bar_code']; echo $rurladd; echo "'>"; echo $row['bar_code']; echo "</a></td>"; 
        $stringData = '"' . $row['bar_code'] . '"' .","; 
        fwrite($fh, $stringData); 
        } 
        if ($cname == '1') { 
        echo "<td class='assetlist' width='120'>"; 
        echo "<a href='display.php?name="; echo $row['name']; echo $rurladd; echo "'>"; echo $row['name']; echo "</a></td>"; 
        $stringData = '"' . $row['name'] . '"' .","; 
        fwrite($fh, $stringData); 
        } 
        if ($cserial == '1') { 
        echo "<td class='assetlist' width='100'>"; 
        echo "<a href='display.php?serial="; echo $row['serial']; echo $rurladd; echo "'>"; echo $row['serial']; echo "</a></td>"; 
        $stringData = '"' . $row['serial'] . '"' .","; 
        fwrite($fh, $stringData); 
        } 

        if ($cage == '1' AND $dstatus == 'no') { 
        echo "<td class='assetlist' width='50' style='text-align: center;'>"; 
//AGE CODE - Calculate Age 
        if ($row['pdate']=="0000-00-00" OR $row['pdate']=="") { 
           echo "NA"; 
        } 
        else { 
        $datep = strtotime($row['pdate']); 
           $datediff = $now - $datep; 
           $age = ($datediff / (60*60*24) / 365.24); 
           $age = number_format((float)$age, 2, '.', ''); 


        } 
        //END AGE Calculation CODE 
    echo $age; 
    $stringData = $age.","; 
    fwrite($fh, $stringData); 
    $age = null; //RESET AGE FOR NEXT TIME AROUND THE LOOP 
        } 
   //DISPOSED AGE CALCULATION 
        if ($cage == '1' AND $dstatus == 'yes') { 
        echo "<td class='assetlist' width='50' style='text-align: center;'>"; 
        //AGE CODE - Calculate Age 
        if ($row['pdate']=="0000-00-00" OR $row['pdate']=="") { 
           echo "NA"; 
        } 
        else { 
        $datep = strtotime($row['pdate']); 
        $dated = strtotime($row['ddate']); 
           $datediff = $dated - $datep; 
           $age = ($datediff / (60*60*24) / 365.24); 
           $age = number_format((float)$age, 2, '.', ''); 


        } 
        //END AGE Calculation CODE 
    echo $age; 
    $stringData = $age.","; 
    fwrite($fh, $stringData); 
    $age = null; //RESET AGE FOR NEXT TIME AROUND THE LOOP 
        } 


        if ($cmodel == '1') { 
        echo "</td><td class='assetlist' width='125'>"; 
        echo "<a href='asset_list.php?model="; echo $row['model']; echo $rurladd;  echo "'>"; echo $row['model']; echo "</a></td>"; 
        $stringData = '"' . $row['model'] . '"' .","; 
        fwrite($fh, $stringData); 
        } 

        if ($cbrand == '1') { 
        echo "<td class='assetlist' width='60'>"; 
        echo "<a href='asset_list.php?brand="; echo $row['brand']; echo $rurladd; echo "'>"; echo $row['brand']; echo "</a></td>"; 
        $stringData = '"' . $row['brand'] . '"' .","; 
        fwrite($fh, $stringData); 
        } 
        if ($cowner == '1') { 
        echo "<td class='assetlist' width='110'>"; 
        echo "<a href='asset_list.php?owner="; echo $row['owner']; echo $rurladd; echo "'>"; echo $row['owner']; echo "</a></td>"; 
        $stringData = '"' . $row['owner'] . '"' .","; 
        fwrite($fh, $stringData); 
        } 
        if ($cform == '1') { 
        echo "<td class='assetlist' WIDTH='50'>"; 
        echo "<a href='asset_list.php?form="; echo $row['form']; echo $rurladd; echo "'>"; echo $row['form']; echo "</a></td>"; 
        $stringData = '"' . $row['form'] . '"' .","; 
        fwrite($fh, $stringData); 
        } 
        if ($cuse == '1') { 
        echo "<td class='assetlist' width='70'>"; 
        echo "<a href='asset_list.php?use="; echo $row['use1']; echo $rurladd; echo "'>"; echo $row['use1']; echo "</a></td>"; 
        $stringData = '"' . $row['use1'] . '"' .","; 
        fwrite($fh, $stringData); 
        } 
        if ($ccostatus == '1') { 
            echo "<td class='assetlist' width='10'>"; 
            //If statement for checked out status 
            if ($row['co_status'] == 0) { 
                   $cotemp = 'No'; 
             echo '<center><a href=asset_list.php?co_status="0">'; echo $cotemp; echo "</a>"; 

             if($rostate==1) 
                 { 
                 } 
             else { 
                 echo "&nbsp&nbsp&nbsp"; echo "<a href='track.php?search="; echo $row['name']; echo "'>Track</a></td></center>"; 
                   } 

                   } 
                   else { 
                   $cotemp = 'Yes'; 
                 echo "<center><a href='asset_list.php?co_status="; echo $row['co_status']; echo $rurladd; echo "'>"; echo $cotemp; echo "</a></td>"; 

                   } 
            //End If statement for checked out status 

            //echo "<a href='asset_list.php?co_status="; echo $row['co_status']; echo $rurladd; echo "'>"; echo $cotemp; echo "</a></td>"; 
            $stringData = '"' . $cotemp . '"' .","; 
                fwrite($fh, $stringData); 
            } 

    if ($cco_user == '1') { 
                echo "<td class='assetlist' width='90'>"; 
                //If statement for checked out status 
                if ($row['co_status'] == 0) { 
                   $cotemp = 'No'; 
                 //echo '<center><a href=asset_list.php?co_user="0">'; echo $cotemp; echo "</a>"; 

                   } 
                   else { 


            $te = $row['serial']; 
                        $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
                        $cnt = "1"; 
                        $row2 = mysqli_fetch_array( $result1 ); 
                        $cotemp = $row2['user']; 



                         echo "<center><a href='asset_list.php?co_user="; echo '"';echo $row2['user']; echo '"'; echo $rurladd; echo "'>"; echo $cotemp; echo "</a></td>"; 

                   } 
            //End If statement for checked out status 

                $stringData = '"' . $cotemp . '"' .","; 
                fwrite($fh, $stringData); 
                } 

        if ($cbuilding == '1' ){ 
        echo "<td class='assetlist' width='90'>"; 
            if($row['co_status'] == 1) { 

        $te = $row['serial']; 
                $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
                $cnt = "1"; 
                $row2 = mysqli_fetch_array( $result1 ); 
                  $buildingnu = $row2['building']; 
                $result2 = mysqli_query($_SESSION["link"], "SELECT name FROM building WHERE number='$buildingnu'"); 
                $row2 = mysqli_fetch_array( $result2 ); 

                echo "<a href='asset_list.php?bldg="; echo $buildingnu; echo $rurladd; echo "'>"; echo $row2['name']; echo "</a></td>"; 
              $stringData = '"' . $row2['name'] . '"' .","; 
                          fwrite($fh, $stringData); 
                //echo $row2['name']; 

                } 
                else{ 
                $stringData = ","; 
                fwrite($fh, $stringData); 
                }; 
        echo "</td>"; 
    } 

        if ($clocation == '1' ){ 
            echo "<td class='assetlist' width='50'>"; 

            if($row['co_status'] == 1) { 
            $te = $row['serial']; // Get Current Serial Number 
            //Get info from tracker table for the current serial number 
            $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
            $cnt = "1"; //INIT variable to 
            $row2 = mysqli_fetch_array( $result1 ); 
            //echo $row2['location']; 
            $loc = $row2['location']; 
                echo "<a href='asset_list.php?loc="; echo $loc; echo $rurladd; echo "'>"; echo $loc; echo "</a></td>"; 
            $stringData = '"' . $loc . '"' .","; 
            fwrite($fh, $stringData); 
                                        } 
 else{ 
 $stringData = ","; 
 fwrite($fh, $stringData); 
 }; 


    echo "</td>"; 
    } 

        if ($cpdate == '1') { 
        echo "<td class='assetlist' width='65'><center>"; 
        echo "<a href='asset_list.php?pdate="; echo $row['pdate']; echo $rurladd; echo "'>"; echo $row['pdate']; echo "</a></center></td>"; 
        $stringData = '"' . $row['pdate'] . '"' .","; 
        fwrite($fh, $stringData); 
        } 
        if ($cimages == '1') { 
        echo "<td class='assetlist' width='10'>"; 
        $te = $row['serial']; 
    $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM images WHERE serial='$te'"); 
     $cnt = "1"; //INIT variable for image link name 
        echo '<table><tr><td>'; 
//Start loop for image links 
 while($row1 = mysqli_fetch_array( $result1 )) { 
    echo "<a title='View Image' href='upload/"; 
    $iimage = $row1['imagename']; //Get image file name from tracker db 
    echo $iimage; //output image file name for the html link 
    echo "'><img src='images/image.png' border='0'>"; 
    //echo $cnt; //echo current count for the link name 
    $cnt++; //Add one to count for image name 
    echo "</a></td><td>"; 
        } 
//End loop for image links 
if($rostate==1) 
    { 
    } 
else { 
        echo '<a title="Add Image" href="addimage.php?search='; echo $row['name']; echo '"><img src=images/add.png border=0 alt="Add Image"></a>'; 
     } 
        echo "</tr></table></td>"; 
} 
    if ($cos == '1') { 
    echo "<td class='assetlist' width='80'>"; 
    //Truncate For Win Vista Business (to keep the column width smaller) 
    if($row['os']=='Win Vista Business') { 
    $tv = 'Windows Vista'; 
    } else { 
    $tv = $row['os'];}; 
    //End truncate for Vista Business 

    echo "<a href='asset_list.php?os="; echo $row['os']; echo $rurladd; echo "'>"; echo $tv; echo "</a></td>"; 
    $stringData = '"' . $tv . '"' .","; 
    fwrite($fh, $stringData); 
    }; 

    if ($cprodukey == '1') { 
    echo "<td class='assetlist' width='150'>"; 
    echo $row['produkey']; 
    echo "</td>"; 
    $stringData =  '"' .$row['produkey']. '"'.","; 
    fwrite($fh, $stringData); 
    } 
    if ($cnotes == '1') { 
    echo "<td class='assetlist' width='150'>"; 
    echo $row['notes']; 
    echo "</td>"; 
    $stringData = '"' . $row['notes'] . '"' .","; 
    fwrite($fh, $stringData); 
} 
    if ($ccreatedby == '1') { 
        echo "<td class='assetlist' width='15'>"; 
        echo "<a href='asset_list.php?cb="; echo $row['createdby']; echo $rurladd; echo "'>"; echo $row['createdby']; echo "</a>"; 
    echo "</td>"; 
    $stringData = '"' . $row['createdby'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 
    if ($ccreation_date == '1') { 
        echo "<td class='assetlist' width='130'>"; 
    echo $row['creation_date']; 
    echo "</td>"; 
    $stringData = '"' . $row['creation_date'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 
    if ($cvendor == '1') { 
        echo "<td class='assetlist' width='30'>"; 
    echo "<a href='asset_list.php?vend="; echo $row['vendor']; echo $rurladd; echo "'>"; echo $row['vendor']; echo "</a>"; 
    echo "</td>"; 
    $stringData = '"' . $row['vendor'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 
    if ($cfunding == '1') { 
        echo "<td class='assetlist' width='30'>"; 
    echo "<a href='asset_list.php?fund="; echo $row['funding']; echo $rurladd; echo "'>"; echo $row['funding']; echo "</a>"; 
    echo "</td>"; 
    $stringData = '"' . $row['funding'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 
    if ($ccost == '1') { 
        echo "<td class='assetlist' width='30'>"; 
    echo "<a href='asset_list.php?cost="; echo $row['cost']; echo $rurladd; echo "'>"; echo $row['cost']; echo "</a>"; 
    echo "</td>"; 
    $stringData = '"' . $row['cost'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 
    if ($ccustom1 == '1') { 
        echo "<td class='assetlist' width='30'>"; 
    echo "<a href='asset_list.php?custom1="; echo $row['custom1']; echo $rurladd; echo "'>"; echo $row['custom1']; echo "</a>"; 
    echo "</td>"; 
    $stringData = '"' . $row['custom1'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 
    if ($ccustom2 == '1') { 
        echo "<td class='assetlist' width='30'>"; 
    echo "<a href='asset_list.php?custom2="; echo $row['custom2']; echo $rurladd; echo "'>"; echo $row['custom2']; echo "</a>"; 
    echo "</td>"; 
    $stringData = '"' . $row['custom2'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 
    if ($cphyloc == '1') { 
          if(!empty($row['phyloc'])) { 
          $qphy = "SELECT name FROM building where number = " . $row['phyloc']; 
          $resultphy = mysqli_query($_SESSION["link"], $qphy);
          $rowphy = mysqli_fetch_array( $resultphy ); 
          $bld = $rowphy['name']; 
          } 
          else{$bld = '';} 

        echo "<td class='assetlist' width='30'>"; 
    echo "<a href='asset_list.php?phyloc="; echo $row['phyloc']; echo $rurladd; echo "'>"; echo $bld; echo "</a>"; 
    echo "</td>"; 
    $stringData = $bld.","; 
    fwrite($fh, $stringData); 
    } 
    if ($cupdatetime == '1') { 
        echo "<td class='assetlist' width='125'>"; 
    //echo "<a href='asset_list.php?cost="; echo $row['updatetime']; echo $rurladd; echo "'>"; echo $row['updatetime']; echo "</a>"; 
        if ($row['updatetime'] != "0000-00-00 00:00:00"){ 
            echo "<center>"; echo $row['updatetime']; echo "</center>"; 
        } 
        echo "</td>"; 
    $stringData = '"' . $row['updatetime'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 
    if ($cupdateby == '1') { 
        echo "<td class='assetlist' width='75'>"; 
        echo "<center>"; 
    echo "<a href='asset_list.php?updateby="; echo $row['updateby']; echo $rurladd; echo "'>"; echo $row['updateby']; echo "</a>"; 
    echo "</center>"; 
        echo "</td>"; 
    $stringData = '"' . $row['updateby'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 

    if($dstatus == 'yes'){ 
    echo "<td class='assetlist' width='90'><center>"; 
    echo $row['ddate']; 
    echo "</td>"; 
    $stringData = '"' . $row['ddate'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 
    if($dstatus == 'yes'){ 
    echo "<td class='assetlist' width='190'><center>"; 
    echo $row['dreason']; 
    echo "</td>"; 
    $stringData = '"' . $row['dreason'] . '"' .","; 
        fwrite($fh, $stringData); 
    } 
     
     
    $stringData = "\n"; 
    fwrite($fh, $stringData); 




    echo "</tr>"; 
} 


echo "</table><br><br>"; 
echo "</center>"; 

if($rostate==1) 
    {  
    } 
else { 

if($rstatus == 'no' AND $dstatus == 'no'){ 
echo "<center><table cellpadding=5 border=0><tr><td>"; 
echo "<input type='submit' name='submit' value='Copy' class='r'></input>"; 
echo "</td><td>"; 
echo "<input type='submit' name='submit' value='Bulk Update' class='r'></input>";
echo "</td><td>"; 
echo "<input type='submit' name='submit' value='Bulk Check Out' class='r'></input>"; 
echo "</td><td>"; 
echo "<center><input type='submit' name='submit' value='Bulk Check In' class='r'></input>"; 
echo "</td><td>"; 
echo "<input type='submit' name='submit' value='Bulk Retire' class='r'></input>"; 
echo "</td><td>"; 

if ($adminstat == '1'){ 
echo "<input type='submit' name='submit' value='Bulk Delete' class='r'></input>"; 
} 
echo "<tr><td align=right colspan=3>Dispose Reason: <input type='text' name='dreason'></td>"; 
echo "<td align=left colspan=2><input type='submit' value='Bulk Dispose' name='submit' class='r'></form></td>"; 
echo "</td></tr></table></center>"; 

} 
echo "</form>"; 

} 

//Page links   START 
$pgcount = '1'; 
echo "<center><br><table cellpadding=5 border=0><tr><td>Page:</td><td><a href='asset_list.php?page=";echo $pageprev; echo $urladd; echo "'>Prev</a></td>"; 
while($pgcount <= $total_pages){ 
  echo "<td>"; 
  if ($page == $pgcount){ 
       echo "<a href='asset_list.php?page=";echo $pgcount; echo $urladd; echo " '><b>"; echo $pgcount; echo "</a>"; 
  } 
  else 
  { 
  echo "<a href='asset_list.php?page=";echo $pgcount; echo $urladd; echo " '>"; echo $pgcount; echo "</a>"; 
  } 
  echo "</td>"; 
  $pgcount++; 
} 
echo "<td><a href='asset_list.php?page=";echo $pagenext; echo $urladd; echo "'>Next</a></td></tr></table>"; 
//Page links   END 

echo "</center><br><br></center>"; 
echo "Total Results: "; 
//Output the rowcount 
echo $total_records; echo "<br>"; 
echo "Total Pages: "; 
echo $total_pages; echo "<br>"; 
echo "Results Per Page: "; 
if($rpp == '100000000'){ 
  echo 'All'; 
  } 
  else{ 
    echo $rpp; 
  } 

  echo "<br><br>"; 

  echo "<a href=$report><img src='images/csv.png' alt='download csv' title='Download CSV'></a><br>"; 
  //echo "Download a report of this page."; 

echo "<br><br>"; 




if(!empty($queryf)) { 
   echo $queryf; 
} 

fclose($fh); 


echo "<br><br>"; 
include 'footer.php'; 
echo '</center></center>'; 
include 'includes/userinfo.php'; 
echo "</body>"; 
echo "</html>"; 
?>