<?php require_once 'config.php';
/* 
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com) 

This file is part of AssetTrackDB. 

AssetTrackDB is free software: you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, or 
(at your option) any later version. 

AssetTrackDB is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License 
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>. 
*/ 

echo "<html>"; 
echo "<head><title>AssetTrackDB - Date Searches</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>"; 
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">'; 
echo "</head>"; 
echo "<body>"; 
echo "<center>"; 

//--START Menu Code and PULL PHP 
include 'includes/menu.php'; 
include 'includes/pull.php'; 
//--END Menu Code-- 

//Disallow Read-Only Users Access to this page 
if($rostate==1) 
    {  
        echo "<center><div id=err>Read Only User: You do not have access to this page</div></center>"; 
    } 
else { 

if (!empty($_GET["select"])){ 
        $select = $_GET["select"]; 
        $query1 = mysqli_query($_SESSION["link"], "DELETE FROM dates WHERE number='$select'"); 
        echo "<br><div id=dcs>Date Search Deleted!</div>"; 
} 

$efill = ''; 
$sfill = ''; 
if (!empty($_GET["sdate"])){ 
        $sdate = trim($_GET["sdate"]); 
        $edate = trim($_GET["edate"]); 
        $mysql_error = "0"; 
         
        $dlen = preg_replace("[-]", "", $sdate); 
        $dlen2 = preg_replace("[-]", "", $edate); 
        //get date length without the dashes 
    $len = strlen($dlen); 
        $len2 = strlen($dlen2); 
        if ($len != '8' OR $len2 != '8'){ 
                 echo '<div id=err>Date Format Incorrect</div>'; 
                 $sfill = $sdate; 
                 $efill = $edate; 
        } 
        else { 
                  mysqli_query($_SESSION["link"], "INSERT INTO dates (sdate, edate) VALUES('$sdate','$edate')") or $mysql_error = 1; 
                  if ($mysql_error == 1) { 
                     echo "<br><div id=err>Error, Search "; echo $sdate; echo " - "; echo $edate; echo " exists</div><br>"; 

                     } 
                     else { 
                          echo "<br><div id=dcs>Search:  "; 
                          echo $sdate; echo " to "; echo $edate; 
                          echo " added!<br>"; 
                          echo "</div><br>"; 
                          } 
                } 
} 


echo "<center>"; 
echo "<h3>Date Searches</h3>"; 
echo "<br>"; 
echo "<form action='date.php' method='get' name='form1'>"; 
echo "<table style='width: 250; text-align: left; margin-left: auto; margin-right: auto;' border='0' cellpadding='2' cellspacing='2'>"; 
echo "<tbody>"; 
echo "<tr>"; 
echo "<td></td><td style='background-color: #8A98F3; text-align: center;'>YYYY-MM-DD<br>"; 
echo "</td></tr>"; 
echo "<td style='text-align: center; background-color: #8A98F3;'><b>Start Date:</b></td>"; 
echo "<td><input type='text' name='sdate' value='$sfill' /></td></tr>"; 
echo "<td style='text-align: center; background-color: #8A98F3;'><b>End Date:</b></td>"; 
echo "<td><input type='text' name='edate' value='$efill'/></td></tr>"; 

echo "</tr><tr>"; 
echo "</tr></tbody></table><br><br><br>"; 
echo "<center><input type='submit' value='submit' name='submit' class='fancybutton'></input></center>"; 
echo "</form>"; 
$result1 = mysqli_query($_SESSION["link"], "SELECT * FROM dates ORDER BY number ASC") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));
//LIST CURRENT SEARCHES 
echo "<br><br>"; 
echo "<center><h3>Delete Quick Searches</h3></center>"; 

echo "<form action='date.php' method='get' name='form2'>"; 
echo "<table  class='sortable' style='width: 300; text-align: left; margin-left: auto; margin-right: auto;' border='0' cellpadding='2' cellspacing='2'>"; 
echo "<th class=std>Name</th><th class=std>Search</th><th class=std>Select</th>"; 
while($row = mysqli_fetch_array( $result1 )) { 
echo "<tr><td>"; 
echo $row['sdate']; 
echo "</td><td>"; 
echo $row['edate']; 
echo "</td><td>"; 
echo "<input type='radio' name='select' value='"; 
echo $row['number']; 
echo "'>"; 
echo "</td></tr>"; 
} 
echo "</table>"; 
echo "<center><input type='submit' value='Delete' class='fancybuttonR'></input></center>"; 
echo "</form>"; 
echo "<br><br>"; 

} 

include 'footer.php'; 
echo '</center></center>'; 
include 'includes/userinfo.php'; 
echo "</body>"; 
echo "</html>"; 
?>